<template>
  <!-- per montare gli slot usiamo la direttiva v-slot:nomeSlot oppure l'abbreviazione #slot -->
  <wa-footer>
    <template #columns>
      <wa-footer-col
        :data-is-full-smartphone="false"
        :data-is-small-text="false"
      >
        <wa-footer-menu-item
          v-for="item in menuItems1"
          :key="item.slug"
          data-href="#"
          class="typo-a-medium"
        >
          {{ item.label }}
        </wa-footer-menu-item>
      </wa-footer-col>
      <wa-footer-col
        :data-is-full-smartphone="false"
        :data-is-small-text="false"
      >
        <wa-footer-menu-item
          v-for="item in menuItems2"
          :key="item.slug"
          data-href="#"
        >
          {{ item.label }}
        </wa-footer-menu-item>
      </wa-footer-col>
      <wa-footer-col :data-is-full-smartphone="true" :data-is-small-text="true">
        <wa-footer-menu-item
          v-for="item in menuItems3"
          :key="item.slug"
          data-href="#"
        >
          {{ item.label }}
        </wa-footer-menu-item>
      </wa-footer-col>
    </template>
    <template #wa-social-share>
      <wa-social-share class="socialIconsFooter">
        <template #wa-social-share-item>
          <wa-social-share-item
            data-social="twitter"
            data-is-share="false"
            data-href="https://twitter.com/login?lang=it"
            data-target="_blank"
            data-rel=""
            data-title-share="None"
            data-subject-email="None"
          ></wa-social-share-item
          ><wa-social-share-item
            data-social="facebook"
            data-is-share="false"
            data-href="https://www.facebook.com/"
            data-target="_blank"
            data-rel=""
            data-title-share="None"
            data-subject-email="None"
          ></wa-social-share-item
          ><wa-social-share-item
            data-social="youtube"
            data-is-share="false"
            data-href="https://www.youtube.com/?hl=it&amp;gl=IT"
            data-target="_blank"
            data-rel=""
            data-title-share="None"
            data-subject-email="None"
          ></wa-social-share-item
          ><wa-social-share-item
            data-social="instagram"
            data-is-share="false"
            data-href="https://www.instagram.com/?hl=it"
            data-target="_blank"
            data-rel=""
            data-title-share="None"
            data-subject-email="None"
          ></wa-social-share-item
          ><wa-social-share-item
            data-social="mail"
            data-is-share="false"
            data-href="//example.com/about-us/"
            data-target="_self"
            data-rel=""
            data-title-share="Invia tramite mail"
            data-subject-email="Guarda questo articolo:"
          ></wa-social-share-item>
          </template
      ></wa-social-share>
    </template>
    <template #legalText>
      <p class="typo-a-9">
        Wasabröd is a part of the Barilla Group. © Copyright 2020
      </p>
    </template>
  </wa-footer>
  <wa-youtube-media-player
    class="padding-top-m padding-bottom-m"
    data-background-image-src="//placehold.it/1600x900"
    data-youtube-video-id="9jHwwJgSTR4"
  >
    <template #duration class="typo-a-8 text-color-white typo-light"
      ><p>01:24:38</p></template
    >
    <template #title class="typo-a-8 text-color-black typo-medium"
      ><p>Wasa History Global</p>
    </template>
  </wa-youtube-media-player>

  <emit @updateTitle="onUpdateTitle($event, 'fuffa')"/>

  <common-icons />
</template>

<script>
import { reactive } from "vue";
export default {
  name: "App",
  setup() {
    const socialIcons = reactive([
      {
        iconID: "icon-social-twitter",
        slug: "twitter",
        width: "16",
        height: "13",
        useFill: true
      },
      {
        iconID: "icon-social-facebook",
        slug: "facebook",
        width: "7",
        height: "15",
        useFill: true
      },
      {
        iconID: "icon-social-youtube",
        slug: "youtube",
        width: "17",
        height: "12",
        useFill: true
      },
      {
        iconID: "icon-social-instagram",
        slug: "instagram",
        width: "16",
        height: "16",
        useFill: true
      },
      {
        iconID: "icon-social-mail",
        slug: "mail",
        width: "15",
        height: "12",
        useFill: true
      }
    ]);
    const menuItems1 = reactive([
      { label: "About us", slug: "about-us" },
      { label: "Products", slug: "products" },
      { label: "Sustainability", slug: "sustainability" },
      { label: "Inspiration", slug: "inspiration" }
    ]);
    const menuItems2 = reactive([
      { label: "News & Press", slug: "news-and-press" },
      { label: "Butik & Museum", slug: "butik-and-museum" },
      { label: "Contact us", slug: "contact-us" }
    ]);
    const menuItems3 = reactive([
      { label: "Privacy", slug: "privacy" },
      { label: "Terms of condition", slug: "terms-of-condition" },
      { label: "Barilla - GDPR", slug: "barilla-gdpr" }
    ]);

    function onUpdateTitle(arg2){

      console.log(arg2)
    }

    return {
      socialIcons,
      menuItems1,
      menuItems2,
      menuItems3,
      onUpdateTitle
    };
  }
};
</script>

<style></style>
